summaryrefslogtreecommitdiff
path: root/tests/test-reset-nonlinear.sh
diff options
context:
space:
mode:
authorColin Walters <walters@verbum.org>2015-04-07 20:54:37 -0400
committerColin Walters <walters@verbum.org>2015-04-15 07:12:20 -0400
commitab15eafe56fc4e237010a967a31740558a493ab8 (patch)
tree7d4ff34ca0b127b8c7367b00ed63212cbf28ec39 /tests/test-reset-nonlinear.sh
parente5e0b95e27bf8c2c72938aaea95eacebea14c40b (diff)
downloadostree-ab15eafe56fc4e237010a967a31740558a493ab8.tar.gz
reset: Don't enforce parent commits
First, git doesn't do this, and whatever Linus thinks is right or something. Second specifically to OSTree, it's quite common to not have intermediate commits. If one wants to reset a ref in order to prune data after a deployment, the parentage check will fail. Closes: https://github.com/GNOME/ostree/pull/87
Diffstat (limited to 'tests/test-reset-nonlinear.sh')
-rwxr-xr-xtests/test-reset-nonlinear.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/tests/test-reset-nonlinear.sh b/tests/test-reset-nonlinear.sh
new file mode 100755
index 00000000..1d0f8de6
--- /dev/null
+++ b/tests/test-reset-nonlinear.sh
@@ -0,0 +1,32 @@
+#!/bin/bash
+#
+# Copyright (C) 2015 Colin Walters <walters@verbum.org>
+#
+# This library is free software; you can redistribute it and/or
+# modify it under the terms of the GNU Lesser General Public
+# License as published by the Free Software Foundation; either
+# version 2 of the License, or (at your option) any later version.
+#
+# This library is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# Lesser General Public License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public
+# License along with this library; if not, write to the
+# Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+# Boston, MA 02111-1307, USA.
+
+set -e
+
+echo "1..1"
+
+. $(dirname $0)/libtest.sh
+
+setup_test_repository "archive-z2"
+cd ${test_tmpdir}/files
+$OSTREE commit -b testx -s "Another Commit"
+cd ${test_tmpdir}
+$OSTREE reset test2 testx
+
+echo "ok reset nonlinear"